<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Contacts
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Contacts module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewcontact" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "adminaddnewcontact.php" );
		AdminAddNewContact( 0 );
	}
	
	$group = "contacts";
}

if( ( $aform == "doaddnewcontact" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindoaddnewcontact.php" );
		include( "adminaddnewcontact.php" );
		$action = "doaddnewcontact";
		AdminDoAddNewContact();
	}
	
	$group = "contacts";
}

if( ( $aform == "doeditcontact" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindoeditcontact.php" );
		include( "admineditcontact.php" );
		$action = "doeditcontact";
		AdminDoEditContact();
	}
	
	$group = "contacts";
}

if( ( $action == "managecontacts" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "adminmanagecontacts.php" );
		AdminManageContacts( $opts );
	}
	
	$group = "contacts";
}

if( ( $action == "contactcategories" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactcategories.php" );
		AdminContactCategories( $opts );
	}
	
	$group = "contacts";
}

if( ( $aform == "doaddcontactcategory" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactcategories.php" );
		include( "admindoaddcontactcategory.php" );
		$action = "doaddcontactcategory";
		AdminDoAddContactCategory();
	}
	
	$group = "contacts";
}

if( ( $aform == "doeditcontactcategory" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactcategories.php" );
		include( "admindoeditcontactcategory.php" );
		$action = "doeditcontactcategory";
		AdminDoEditContactCategory();
	}
	
	$group = "contacts";
}

if( ( $action == "contactsreferrers" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactsreferrers.php" );
		AdminContactsReferrers( $opts );
	}
	
	$group = "contacts";
}

if( ( $aform == "contactsreferrersoptions" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactsreferrersoptions.php" );
		$action = "contactsreferrersoptions";
		AdminContactsReferrersOptions();
	}
	
	$group = "contacts";
}

if( ( $aform == "domasscontactsreferrersdelete" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindomasscontactsreferrersdelete.php" );
		$action = "domasscontactsreferrersdelete";
		AdminDoMasscontactsreferrersDelete();
	}
	
	$group = "contacts";
}

if( ( $aform == "domasslastyearscontactsreferrersdelete" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindomasslastyearscontactsreferrersdelete.php" );
		$action = "domasslastyearscontactsreferrersdelete";
		AdminDoMassLastYearscontactsreferrersDelete();
	}
	
	$group = "contacts";
}

if( ( $aform == "domassallcontactsreferrersdelete" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindomassallcontactsreferrersdelete.php" );
		$action = "domassallcontactsreferrersdelete";
		AdminDoMassAllcontactsreferrersDelete();
	}
	
	$group = "contacts";
}

if( ( $aform == "contactsoptions" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactsoptions.php" );
		$action = "contactsoptions";
		AdminContactsOptions();
	}
	
	$group = "contacts";
}

if( ( $aform == "domasscontactsdelete" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindomasscontactsdelete.php" );
		$action = "domasscontactsdelete";
		AdminDoMassContactsDelete();
	}
	
	$group = "contacts";
}

if( ( $action == "sendnews" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	include( "adminsendnews.php" );
	AdminSendNews( 0 );
	$group = "contacts";
}

if( ( $aform == "dosendnews" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	include( "admindosendnews.php" );
	include( "adminsendnews.php" );
	$action = "doaddsendnews";
	AdminDoSendNews();
	$group = "contacts";
}

if( ( $action == "processcontacts" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	include( "adminprocesscontacts.php" );
	AdminProcessContacts( $opts );
	$group = "contacts";
}

if( ( $action == "contactsarchive" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactsarchive.php" );
		AdminContactsArchive( $opts );
	}
	
	$group = "contacts";
}

if( ( $aform == "doeditcontactsarchive" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admineditcontactsarchive.php" );
		include( "admindoeditcontactsarchive.php" );
		$action = "doeditcontactsarchive";
		AdminDoEditContactsArchive();
	}
	
	$group = "contacts";
}

if( ( $aform == "contactsarchiveoptions" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactsarchiveoptions.php" );
		$action = "contactsarchivesoptions";
		AdminContactsArchiveOptions();
	}
	
	$group = "contacts";
}

if( ( $aform == "domasscontactsemailsdelete" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindomasscontactsemailsdelete.php" );
		$action = "domasscontactsemailsdelete";
		AdminDoMassContactsEmailsDelete();
	}
	
	$group = "contacts";
}

if( ( $action == "editcontactspreferences" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admineditcontactspreferences.php" );
		AdminEditContactsPreferences();
	}
	
	$group = "contacts";
}

if( ( $aform == "doeditcontactspreferences" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admindoeditcontactspreferences.php" );
		AdminDoEditContactsPreferences();
	}
	
	$group = "contacts";
}

if( ( $aform == "doupdatecontactscategories" ) and( isset( $permissions[ 'contacts' ] ) ) )
{
	if( $permissions[ 'contacts' ] == 1 )
	{
		include( "admincontactscategories.php" );
		include( "admindoupdatecontactscategories.php" );
		$action = "doupdatecontactscategories";
		AdminDoUpdateContactsCategories();
	}
	
	$group = "contacts";
}
?>