<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Content
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Content module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addpage" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "adminaddpage.php" );
	AdminAddPage( 0 );
	$group = "content";
}

if( ( $aform == "doaddpage" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "admindoaddpage.php" );
	include( "adminaddpage.php" );
	$action = "doaddpage";
	AdminDoAddPage();
	$group = "content";
}

if( ( $action == "attachmentpreview" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "adminattachmentpreview.php" );
	AdminAttachmentPreview();
	$group = "content";
}

if( ( $action == "attachmentsearch" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "adminattachmentsearch.php" );
	AdminAttachmentSearch();
	$group = "content";
}

if( ( $action == "managepages" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "adminmanagepages.php" );
	AdminManagePages( $opts );
	$group = "content";
}

if( ( $aform == "doeditpage" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "admindoeditpage.php" );
	include( "admineditpage.php" );
	$action = "doeditpage";
	AdminDoEditPage();
	$group = "content";
}

if( ( $aform == "pageoptions" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "adminpageoptions.php" );
	$action = "pageoptions";
	AdminPageOptions();
	$group = "content";
}

if( ( $aform == "domasspagedelete" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "admindomasspagedelete.php" );
	$action = "domasspagedelete";
	AdminDoMassPageDelete();
	$group = "content";
}

if( ( $aform == "domasspagemove" ) and( isset( $permissions[ 'content' ] ) ) )
{
	include( "admindomasspagemove.php" );
	$action = "domasspagemove";
	AdminDoMassPageMove();
	$group = "content";
}

if( ( $action == "feedbackqueue" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "adminfeedbackqueue.php" );
		AdminFeedbackQueue( $opts );
	}
	
	$group = "content";
}

if( ( $aform == "feedbackoptions" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "adminfeedbackoptions.php" );
		$action = "feedbackoptions";
		AdminFeedbackOptions();
	}
	
	$group = "content";
}

if( ( $aform == "domassfeedbackdelete" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindomassfeedbackdelete.php" );
		$action = "domassfeedbackdelete";
		AdminDoMassFeedbackDelete();
	}
	
	$group = "content";
}

if( ( $action == "browseattachments" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "adminbrowseattachments.php" );
		AdminBrowseAttachments( $opts );
	}
	
	$group = "content";
}

if( ( $aform == "doeditattachment" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindoeditattachment.php" );
		$action = "doeditattachment";
		AdminDoEditAttachment();
	}
	
	$group = "content";
}

if( ( $aform == "attachmentsoptions" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "adminattachmentsoptions.php" );
		$action = "attachmentsoptions";
		AdminAttachmentsOptions();
	}
	
	$group = "content";
}

if( ( $aform == "domassattachmentsdelete" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindomassattachmentsdelete.php" );
		$action = "domassattachmentsdelete";
		AdminDoMassAttachmentsDelete();
	}
	
	$group = "content";
}

if( ( $action == "searchreplacecontent" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "adminsearchreplacecontent.php" );
		AdminSearchReplaceContent();
	}
	
	$group = "content";
}


if( ( $aform == "dosearchreplacecontent" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindosearchreplacecontent.php" );
		$action = "dosearchreplacecontent";
		AdminDoSearchReplaceContent();
	}
	
	$group = "content";
}


if( ( $action == "contentcategories" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontentcategories.php" );
		AdminContentCategories( $opts );
	}
	
	$group = "content";
}

if( ( $aform == "doaddcontentcategory" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontentcategories.php" );
		include( "admindoaddcontentcategory.php" );
		$action = "doaddcontentcategory";
		AdminDoAddContentCategory();
	}
	
	$group = "content";
}

if( ( $aform == "doeditcontentcategory" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontentcategories.php" );
		include( "admindoeditcontentcategory.php" );
		$action = "doeditcontentcategory";
		AdminDoEditContentCategory();
	}
	
	$group = "content";
}

if( ( $action == "managecontenttags" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "adminmanagecontenttags.php" );
		AdminManageContentTags( $opts );
	}
	
	$group = "content";
}

if( ( $aform == "doeditcontenttag" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindoeditcontenttag.php" );
		include( "admineditcontenttag.php" );
		$action = "doeditcontenttag";
		AdminDoEditContentTag();
	}
	
	$group = "content";
}

if( ( $aform == "contenttagsoptions" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontenttagsoptions.php" );
		$action = "contenttagsoptions";
		AdminContentTagsOptions();
	}
	
	$group = "content";
}

if( ( $aform == "domasscontenttagsdelete" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindomasscontenttagsdelete.php" );
		$action = "domasscontenttagsdelete";
		AdminDoMassContentTagsDelete();
	}
	
	$group = "content";
}

if( ( $action == "contentsearchqueries" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontentsearchqueries.php" );
		AdminContentSearchQueries( $opts );
	}
	
	$group = "content";
}

if( ( $aform == "contentsearchqueriesoptions" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontentsearchqueriesoptions.php" );
		$action = "contentsearchqueriesoptions";
		AdminContentSearchQueriesOptions();
	}
	
	$group = "content";
}

if( ( $aform == "domasscontentsearchqueriesdelete" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindomasscontentsearchqueriesdelete.php" );
		$action = "domasscontentsearchqueriesdelete";
		AdminDoMassContentSearchQueriesDelete();
	}
	
	$group = "content";
}

if( ( $action == "editcontentpreferences" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admineditcontentpreferences.php" );
		AdminEditContentPreferences();
	}
	
	$group = "content";
}

if( ( $aform == "doeditcontentpreferences" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admindoeditcontentpreferences.php" );
		AdminDoEditContentPreferences();
	}
	
	$group = "content";
}

if( ( $aform == "doupdatecontentcategories" ) and( isset( $permissions[ 'content' ] ) ) )
{
	if( $permissions[ 'content' ] == 1 )
	{
		include( "admincontentcategories.php" );
		include( "admindoupdatecontentcategories.php" );
		$action = "doupdatecontentcategories";
		AdminDoUpdateContentCategories();
	}
	
	$group = "content";
}
?>