<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Links
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Links module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewlink" ) and( isset( $permissions[ 'links' ] ) ) )
{
	include( "adminaddnewlink.php" );
	AdminAddNewLink( 0 );
	$group = "links";
}

if( ( $aform == "doaddnewlink" ) and( isset( $permissions[ 'links' ] ) ) )
{
	include( "admindoaddnewlink.php" );
	include( "adminaddnewlink.php" );
	$action = "doaddnewlink";
	AdminDoAddNewLink();
	$group = "links";
}

if( ( $aform == "doeditlink" ) and( isset( $permissions[ 'links' ] ) ) )
{
	include( "admindoeditlink.php" );
	include( "admineditlink.php" );
	$action = "doeditlink";
	AdminDoEditLink();
	$group = "links";
}

if( ( $aform == "linksoptions" ) and( isset( $permissions[ 'links' ] ) ) )
{
	include( "adminlinksoptions.php" );
	$action = "linksoptions";
	AdminLinksOptions();
	$group = "links";
}

if( ( $aform == "domasslinksdelete" ) and( isset( $permissions[ 'links' ] ) ) )
{
	include( "admindomasslinksdelete.php" );
	$action = "domasslinksdelete";
	AdminDoMassLinksDelete();
	$group = "links";
}

if( ( $action == "managelinks" ) and( isset( $permissions[ 'links' ] ) ) )
{
	include( "adminmanagelinks.php" );
	AdminManageLinks( $opts );
	$group = "links";
}

if( ( $action == "linkscategories" ) and( isset( $permissions[ 'links' ] ) ) )
{
	if( $permissions[ 'links' ] == 1 )
	{
		include( "adminlinkscategories.php" );
		AdminLinksCategories( $opts );
	}
	
	$group = "links";
}

if( ( $aform == "doaddlinkscategory" ) and( isset( $permissions[ 'links' ] ) ) )
{
	if( $permissions[ 'links' ] == 1 )
	{
		include( "adminlinkscategories.php" );
		include( "admindoaddlinkscategory.php" );
		$action = "doaddlinkscategory";
		AdminDoAddLinksCategory();
	}
	
	$group = "links";
}

if( ( $aform == "doeditlinkscategory" ) and( isset( $permissions[ 'links' ] ) ) )
{
	if( $permissions[ 'links' ] == 1 )
	{
		include( "adminlinkscategories.php" );
		include( "admindoeditlinkscategory.php" );
		$action = "doeditlinkscategory";
		AdminDoEditLinksCategory();
	}
	
	$group = "links";
}

if( ( $action == "editlinkspreferences" ) and( isset( $permissions[ 'links' ] ) ) )
{
	if( $permissions[ 'links' ] == 1 )
	{
		include( "admineditlinkspreferences.php" );
		AdminEditLinksPreferences();
	}
	
	$group = "links";
}

if( ( $aform == "doeditlinkspreferences" ) and( isset( $permissions[ 'links' ] ) ) )
{
	if( $permissions[ 'links' ] == 1 )
	{
		include( "admindoeditlinkspreferences.php" );
		AdminDoEditLinksPreferences();
	}
	
	$group = "links";
}

if( ( $aform == "doupdatelinkscategories" ) and( isset( $permissions[ 'links' ] ) ) )
{
	if( $permissions[ 'links' ] == 1 )
	{
		include( "adminlinkscategories.php" );
		include( "admindoupdatelinkscategories.php" );
		$action = "doupdatelinkscategories";
		AdminDoUpdateLinksCategories();
	}
	
	$group = "links";
}
?>