<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Mailinglists
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Mailinglists module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewlist" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminaddnewlist.php" );
		AdminAddNewList( 0 );
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doaddnewlist" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admindoaddnewlist.php" );
		include( "adminaddnewlist.php" );
		$action = "doaddnewlist";
		AdminDoAddNewList();
	}
	
	$group = "mailinglists";
}

if( ( $action == "addnewlistsubscriber" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminaddnewlistsubscriber.php" );
		AdminAddNewListSubscriber( 0 );
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doaddnewlistsubscriber" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admindoaddnewlistsubscriber.php" );
		include( "adminaddnewlistsubscriber.php" );
		$action = "doaddnewlistsubscriber";
		AdminDoAddNewListSubscriber();
	}
	
	$group = "mailinglists";
}

if( ( $action == "listscategories" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistscategories.php" );
		AdminListsCategories( $opts );
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doaddlistscategory" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistscategories.php" );
		include( "admindoaddlistscategory.php" );
		$action = "doaddlistscategory";
		AdminDoAddListsCategory();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doeditlistscategory" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistscategories.php" );
		include( "admindoeditlistscategory.php" );
		$action = "doeditlistscategory";
		AdminDoEditListsCategory();
	}
	
	$group = "mailinglists";
}

if( ( $action == "managelists" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminmanagelists.php" );
		AdminManageLists( $opts );
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doeditlist" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admineditlist.php" );
		include( "admindoeditlist.php" );
		$action = "doeditlist";
		AdminDoEditList();
	}
	
	$group = "mailinglists";
}

if( ( $action == "managelistssubscribers" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminmanagelistssubscribers.php" );
		AdminManageListsSubscribers( $opts );
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doeditlistsubscriber" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admineditlistsubscriber.php" );
		include( "admindoeditlistsubscriber.php" );
		$action = "doeditlistsubscriber";
		AdminDoEditListSubscriber();
	}
	
	$group = "mailinglists";
}

if( ( $action == "listsarchive" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistsarchive.php" );
		AdminListsArchive( $opts );
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doeditlistsarchive" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admineditlistsarchive.php" );
		include( "admindoeditlistsarchive.php" );
		$action = "doeditlistsarchive";
		AdminDoEditListsArchive();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "listsoptions" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistsoptions.php" );
		$action = "listsoptions";
		AdminListsOptions();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "domasslistsdelete" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admindomasslistsdelete.php" );
		$action = "domasslistsdelete";
		AdminDoMassListsDelete();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "listssubscribersoptions" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistssubscribersoptions.php" );
		$action = "listssubscribersoptions";
		AdminListsSubscribersOptions();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "domasslistssubscribersdelete" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admindomasslistssubscribersdelete.php" );
		$action = "domasslistssubscribersdelete";
		AdminDoMassListsSubscribersDelete();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "listsarchiveoptions" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistsarchiveoptions.php" );
		$action = "listsarchivesoptions";
		AdminListsArchiveOptions();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "domasslistsemailsdelete" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admindomasslistsemailsdelete.php" );
		$action = "domasslistsemailsdelete";
		AdminDoMassListsEmailsDelete();
	}
	
	$group = "mailinglists";
}

if( ( $action == "sendnewsletter" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	include( "adminsendnewsletter.php" );
	AdminSendNewsletter( 0 );
	$group = "mailinglists";
}

if( ( $aform == "dosendnewsletter" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	include( "adminsendnewsletter.php" );
	include( "admindosendnewsletter.php" );
	$action = "dosendnewsletter";
	AdminDoSendNewsletter();
	$group = "mailinglists";
}

if( ( $action == "processnewsletter" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	include( "adminprocessnewsletter.php" );
	AdminProcessNewsletter( $opts );
	$group = "mailinglists";
}

if( ( $action == "editlistspreferences" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admineditlistspreferences.php" );
		AdminEditListsPreferences();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doeditlistspreferences" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "admindoeditlistspreferences.php" );
		AdminDoEditListsPreferences();
	}
	
	$group = "mailinglists";
}

if( ( $aform == "doupdatelistscategories" ) and( isset( $permissions[ 'mailinglists' ] ) ) )
{
	if( $permissions[ 'mailinglists' ] == 1 )
	{
		include( "adminlistscategories.php" );
		include( "admindoupdatelistscategories.php" );
		$action = "doupdatelistscategories";
		AdminDoUpdateListsCategories();
	}
	
	$group = "mailinglists";
}
?>