<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Tickets
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Tickets module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "ticketscategories" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	if( $permissions[ 'tickets' ] == 1 )
	{
		include( "adminticketscategories.php" );
		AdminTicketsCategories( $opts );
	}
	
	$group = "tickets";
}

if( ( $aform == "doaddticketscategory" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	if( $permissions[ 'tickets' ] == 1 )
	{
		include( "adminticketscategories.php" );
		include( "admindoaddticketscategory.php" );
		$action = "doaddticketscategory";
		AdminDoAddTicketsCategory();
	}
	
	$group = "tickets";
}

if( ( $aform == "doeditticketscategory" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	if( $permissions[ 'tickets' ] == 1 )
	{
		include( "adminticketscategories.php" );
		include( "admindoeditticketscategory.php" );
		$action = "doeditticketscategory";
		AdminDoEditTicketsCategory();
	}
	
	$group = "tickets";
}

if( ( $action == "managetickets" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	include( "adminmanagetickets.php" );
	AdminManageTickets( $opts );
	$group = "tickets";
}

if( ( $aform == "doeditticket" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	include( "admindoeditticket.php" );
	include( "admineditticket.php" );
	$action = "doeditticket";
	AdminDoEditTicket();
	$group = "tickets";
}

if( ( $aform == "ticketsoptions" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	include( "adminticketsoptions.php" );
	AdminTicketOptions();
	$group = "tickets";
}

if( ( $aform == "domassticketsdelete" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	include( "admindomassticketsdelete.php" );
	$action = "domassticketsdelete";
	AdminDoMassTicketsDelete();
	$group = "tickets";
}

if( ( $action == "processtickets" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	include( "adminprocesstickets.php" );
	AdminProcessTickets( 0 );
	$group = "tickets";
}

if( ( $aform == "doprocesstickets" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	include( "admindoprocesstickets.php" );
	include( "adminprocesstickets.php" );
	$action = "doprocesstickets";
	AdminDoProcessTickets();
	$group = "tickets";
}

if( ( $action == "editticketspreferences" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	if( $permissions[ 'tickets' ] == 1 )
	{
		include( "admineditticketspreferences.php" );
		AdminEditTicketsPreferences();
	}
	
	$group = "tickets";
}

if( ( $aform == "doeditticketspreferences" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	if( $permissions[ 'tickets' ] == 1 )
	{
		include( "admindoeditticketspreferences.php" );
		AdminDoEditTicketsPreferences();
	}
	
	$group = "tickets";
}

if( ( $aform == "doupdateticketscategories" ) and( isset( $permissions[ 'tickets' ] ) ) )
{
	if( $permissions[ 'tickets' ] == 1 )
	{
		include( "adminticketscategories.php" );
		include( "admindoupdateticketscategories.php" );
		$action = "doupdateticketscategories";
		AdminDoUpdateTicketsCategories();
	}
	
	$group = "tickets";
}
?>