<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Tickets
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
$words_tickets = array( "TICKETS" => "Support", "MANAGE_TICKETS" => "Supportanfragen", "CATEGORIES" => "Kategorien", "TICKETS_PREFERENCES" => "Support Einstellungen", "WEBSITE_PARENT" => "Die &Uuml;bergeordnete Kategorie verwendet eine anderen Webseite als Unterkategorie.", "EDIT_CATEGORY" => "Kategorie bearbeiten", "CATEGORY_NAME" => "Kategorie Name", "CATEGORY_DESCRIPTION" => "Kategorie-Beschreibung", "CATEGORY_KEYWORDS" => "Kategorie Schl&uuml;sselw&ouml;rter", "PARENT_CATEGORY" => "&Uuml;bergeordnete Kategorie", "CATEGORY_REMOVED" => "Diese Kategorie wurde erfolgreich entfernt.", "ARE_YOU_SURE" => "Sind Sie sicher?", "ALL" => "Alle", "CATEGORY_NAME" => "Kategorie Name", "SUBMIT" => "Senden", "WEBSITE" => "Website", "POSITION" => "Position", "ID" => "Kennung", "CATEGORY_SITEID" => "Kategorie / Website", "SUBCATEGORY" => "Unter-Kategorie", "CONTENT_CATEGORIES" => "Kategorien", "ADD_A_NEW_CATEGORY" => "Neue Kategorie hinzuf&uuml;gen", "PARENT_CATEGORY" => "&uuml;bergeordnete Kategorie", "CATEGORY_REMOVED" => "Diese Kategorie wurde erfolgreich entfernt.", "ERROR" => "Fehler", "TICKETS_CATEGORY_EXISTS" => "Diese Kategorie existiert bereits in der Datenbank", "TICKETS_CATEGORY_NA" => "Diese Kategorie ist nicht in der Datenbank", "CAT_INCREASED_PRIORITY" => "Die Kategorien Priorit&auml;t wurde erh&ouml;ht", "CAT_DECREASED_PRIORITY" => "Die Kategorien Priorit&auml;t wurde vermindert", "CAT_ALREADY_TOP" => "Diese Kategorie hat bereits oberste Priorit&auml;t", "CAT_ALREADY_LAST" => "Diese Kategorie hat bereits letzte Priorit&auml;t", "TICKETS_CATEGORIES" => "Support Kategorien", "CATEGORY" => "Kategorie", "PRIORITY" => "Priorit&auml;t", "NONE" => "Keine", "SEARCH_FORM_TICKETS" => "Sie k&ouml;nnen dieses Formular verwenden, um in die Datenbank nach bestimmten Supportanfragen zu durchsuchen", "TICKET_SUBJECT" => "Betreff", "CONTENT" => "Anfrage", "GO" => "Lox", "AUTHOR" => "Autor", "PRIORITY" => "Priorit&auml;t", "PRIORITY_1" => "1 ... Niedrig", "PRIORITY_2" => "2", "PRIORITY_3" => "3 ... Normal", "PRIORITY_4" => "4", "PRIORITY_5" => "5 ... Hoch", "KATEGORIE" => "Kategorie", "NONE" => "Keine", "STATUS" => "Status", "NEW" => "Neu", "OPEN" => "Offen", "CLOSE" => "Geschlossen", "DATE_RANGE" => "Datum", "TODAY" => "Heute", "YESTERDAY" => "Gestern", "LASTWEEK" => "Letzte Woche", "LASTMONTH" => "Letzter Monat", "LAST3MONTHS" => "Letzten 3 Monate", "LAST6MONTHS" => "Letzten 6 Monate", "LASTYEAR" => "Letztes Jahr", "SORT_BY" => "Sortieren nach", "DATE" => "Datum", "DESCENDING" => "absteigend", "ASCENDING" => "aufsteigend", "SEITEN" => "Seiten", "NO_MATCHES" => "Keine &Uuml;bereinstimmungen. Bitte versuchen Sie einen anderen Suchbegriff.", "THERE_ARE" => "Es gibt", "NEW_UPDATED_TICKETS_IN_DATABASE" => "neue oder aktualisierte Anfragen in der Datenbank.", "CLICK_HERE" => "Klicken Sie hier", "TO_PROCESS_THEM_ALL" => "um sie zu verarbeiten.", "TICKET_SITEID" => "Anfrage / Website", "TICKET_SUBJECT_PRIORITY" => "Betreff (Priorit&auml;t)", "TICKETS_OPTIONS" => "Support Optionen", "DELETE_CHECKED_TROUBLE_TICKETS" => "Alle markierten Supportanfragen L&ouml;schen", "MASS_DELETE" => "Massen L&ouml;schung", "ABORTING_DELETION" => "Abbruch der L&ouml;schung", "TICKETS_SUCCESSFULLY_DELETED" => "Die Anfragen wurden erfolgreich gel&ouml;scht", "THIS_WOULD_DELETE" => "Dies l&ouml;scht", "_TICKETS" => "Anfrage(n)", "YES" => "Ja", "NO" => "Nein", "RETURN_TO_PREVIOUS" => "Klicken Sie hier, um zur&ouml;ck zur vorherigen Seite zu kommen", "EDIT_TICKET" => "Bearbeite Anfrage", "NOTICE" => "Hinweis", "PREVIEW" => "Vorschau", "TICKET_CONTENT" => "Anfrage", "APPEND_TO_TICKET" => "An bestehender Anfrage anh&auml;ngen", "DISABLE_SMILIES" => "Deaktiviere Smilies", "DISABLE_BLOCKCODE" => "Deaktiviere Blockcode", "SPELLING" => "Rechtschreibung", "SEND" => "Senden", "TICKET_NO_SUBJECT" => "Fehler: Dieses Ticket hat kein Betreff.", "TICKET_NO_TEXT" => "Error: Das Ticket hat keinen Text.", "SUGGESTIONS" => "Vorschl&auml;ge", "NO_SUGGESTIONS" => "Es gibt keinen Vorschlag f&uuml;r die Schreibweise des Wortes", "THE_SPELL_CHECKER_FOUND" => "Die Rechtschreibpr&uuml;fung hat", "ERRORS" => "fehler gefunden", "TICKET_UPDATED" => "Die Anfrage wurde erfolgreich aktualisiert.", "ALL_TICKETS_PROCESSED" => "Alle Supportanfragen wurden verarbeitet.", "TICKET" => "Anfrage", "DONE" => "Fertig", "TICKETS_PREFS_CHANGED" => "Support Einstellungen erfolgreich ge&auml;ndert", "ADDED_ON_" => "Hinzugef&uuml;gt am:", "BY_" => "von:", "INVALID_SESSION" => "Ung&uuml;ltige Session. Es scheint das Sie nicht korrekt eingeloggt sind.", "UPDATE_PRIORITY" => "Priorit&auml;t Aktualisieren", "PRIORITY_UPDATED" => "Die Priorit&auml;t aller Kategorien wurde aktualisiert.", "ORDER_ALPHABETICALLY" => "Alphabetisch Sortieren" );
?>