<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Articles module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewarticle" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "adminaddnewarticle.php" );
	AdminAddNewArticle( 0, 0 );
	$group = "articles";
}

if( ( $aform == "doaddnewarticle" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "admindoaddnewarticle.php" );
	include( "adminaddnewarticle.php" );
	$action = "doaddnewarticle";
	AdminDoAddNewArticle();
	$group = "articles";
}

if( ( $action == "articleattachmentpreview" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "adminarticleattachmentpreview.php" );
	AdminArticleAttachmentPreview();
	$group = "articles";
}

if( ( $action == "searchreplacearticles" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminsearchreplacearticles.php" );
		AdminSearchReplaceArticles();
	}
	
	$group = "articles";
}


if( ( $aform == "dosearchreplacearticles" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindosearchreplacearticles.php" );
		$action = "dosearchreplacearticles";
		AdminDoSearchReplaceArticles();
	}
	
	$group = "articles";
}


if( ( $action == "managearticles" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "adminmanagearticles.php" );
	AdminManageArticles( $opts );
	$group = "articles";
}

if( ( $aform == "doeditarticle" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "admindoeditarticle.php" );
	include( "admineditarticle.php" );
	$action = "doeditarticle";
	AdminDoEditArticle();
	$group = "articles";
}

if( ( $aform == "doeditarticlepage" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "admindoeditarticlepage.php" );
	include( "admineditarticlepage.php" );
	$action = "doeditarticlepage";
	AdminDoEditArticlePage();
	$group = "articles";
}

if( ( $action == "articlecategories" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlecategories.php" );
		AdminArticleCategories( $opts );
		$group = "articles";
	}
}

if( ( $aform == "doaddarticlecategory" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlecategories.php" );
		include( "admindoaddarticlecategory.php" );
		$action = "doaddarticlecategory";
		AdminDoAddArticleCategory();
	}
	
	$group = "articles";
}

if( ( $aform == "doeditarticlecategory" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlecategories.php" );
		include( "admindoeditarticlecategory.php" );
		$action = "doeditarticlecategory";
		AdminDoEditArticleCategory();
	}
	
	$group = "articles";
}

if( ( $action == "editarticlespreferences" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admineditarticlespreferences.php" );
		AdminEditArticlesPreferences();
	}
	
	$group = "articles";
}

if( ( $aform == "doeditarticlespreferences" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindoeditarticlespreferences.php" );
		AdminDoEditArticlesPreferences();
	}
	
	$group = "articles";
}

if( ( $action == "addarticleteaserimage" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminaddarticleteaserimage.php" );
		AdminAddArticleTeaserImage();
	}
	
	$group = "articles";
}

if( ( $action == "managearticleteaserimages" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminmanagearticleteaserimages.php" );
		AdminManageArticleTeaserImages( $opts );
	}
	
	$group = "articles";
}

if( ( $action == "articleteaserimagepreview" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "adminarticleteaserimagepreview.php" );
	AdminArticleTeaserImagePreview();
	$group = "articles";
}

if( ( $aform == "doaddarticleteaserimage" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindoaddarticleteaserimage.php" );
		$action = "doaddarticleteaserimage";
		AdminDoAddArticleTeaserImage();
	}
	
	$group = "articles";
}

if( ( $aform == "articleteaserimagesoptions" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticleteaserimagesoptions.php" );
		$action = "articleteaserimagesoptions";
		AdminArticleTeaserImagesOptions();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticleteaserimagesdelete" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticleteaserimagesdelete.php" );
		$action = "domassarticleteaserimagesdelete";
		AdminDoMassArticleTeaserImagesDelete();
	}
	
	$group = "articles";
}

if( ( $action == "articleattachments" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticleattachments.php" );
		AdminArticleAttachments( $opts );
	}
	
	$group = "articles";
}

if( ( $aform == "doeditarticleattachment" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindoeditarticleattachment.php" );
		$action = "doeditarticleattachment";
		AdminDoEditArticleAttachment();
	}
	
	$group = "articles";
}

if( ( $aform == "articleattachmentsoptions" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticleattachmentsoptions.php" );
		$action = "articleattachmentsoptions";
		AdminArticleAttachmentsOptions();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticleattachmentsdelete" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticleattachmentsdelete.php" );
		$action = "domassarticleattachmentsdelete";
		AdminDoMassArticleAttachmentsDelete();
	}
	
	$group = "articles";
}

if( ( $action == "articleattachmentsearch" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticleattachmentsearch.php" );
		AdminArticleAttachmentSearch();
	}
	
	$group = "articles";
}

if( ( $action == "managearticlecomments" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminmanagearticlecomments.php" );
		AdminManageArticleComments( $opts );
	}
	
	$group = "articles";
}

if( ( $aform == "doeditarticlecomment" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindoeditarticlecomment.php" );
		include( "admineditarticlecomment.php" );
		$action = "doeditarticlecomment";
		AdminDoEditArticleComment();
	}
	
	$group = "articles";
}

if( ( $aform == "articlecommentsoptions" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlecommentsoptions.php" );
		$action = "articlecommentsoptions";
		AdminArticleCommentsOptions();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticlecommentsdelete" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticlecommentsdelete.php" );
		$action = "domassarticlecommentsdelete";
		AdminDoMassArticleCommentsDelete();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticlecommentsplonk" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticlecommentsplonk.php" );
		$action = "domassarticlecommentsplonk";
		AdminDoMassArticleCommentsPlonk();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticlecommentsunplonk" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticlecommentsunplonk.php" );
		$action = "domassarticlecommentsunplonk";
		AdminDoMassArticleCommentsUnPlonk();
	}
	
	$group = "articles";
}

if( ( $action == "managearticlefields" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminmanagearticlefields.php" );
		AdminManageArticleFields();
	}
	
	$group = "articles";
}

if( ( $aform == "doeditarticlefields" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindoeditarticlefields.php" );
		AdminDoEditArticleFields();
	}
	
	$group = "articles";
}

if( ( $action == "articlesearchqueries" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlesearchqueries.php" );
		AdminArticleSearchQueries( $opts );
	}
	
	$group = "articles";
}

if( ( $aform == "articlesearchqueriesoptions" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlesearchqueriesoptions.php" );
		$action = "articlesearchqueriesoptions";
		AdminArticleSearchQueriesOptions();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticlesearchqueriesdelete" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticlesearchqueriesdelete.php" );
		$action = "domassarticlesearchqueriesdelete";
		AdminDoMassArticleSearchQueriesDelete();
	}
	
	$group = "articles";
}

if( ( $aform == "articlesoptions" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "adminarticlesoptions.php" );
	$action = "articlesoptions";
	AdminArticlesOptions();
	$group = "articles";
}

if( ( $aform == "domassarticlesdelete" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "admindomassarticlesdelete.php" );
	$action = "domassarticlesdelete";
	AdminDoMassArticlesDelete();
	$group = "articles";
}

if( ( $aform == "appendarticlepage" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "adminappendarticlepage.php" );
	$action = "appendarticlepage";
	AdminAppendArticlePage( 0 );
	$group = "articles";
}

if( ( $aform == "doaddappendarticlepage" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	include( "admindoappendarticlepage.php" );
	include( "adminappendarticlepage.php" );
	$action = "doappendarticlepage";
	AdminDoAppendArticlePage();
	$group = "articles";
}

if( ( $action == "managearticletags" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminmanagearticletags.php" );
		AdminManageArticleTags( $opts );
	}
	
	$group = "articles";
}

if( ( $aform == "doeditarticletag" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindoeditarticletag.php" );
		include( "admineditarticletag.php" );
		$action = "doeditarticletag";
		AdminDoEditArticleTag();
	}
	
	$group = "articles";
}

if( ( $aform == "articletagsoptions" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticletagsoptions.php" );
		$action = "articletagsoptions";
		AdminArticleTagsOptions();
	}
	
	$group = "articles";
}

if( ( $aform == "domassarticletagsdelete" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "admindomassarticletagsdelete.php" );
		$action = "domassarticletagsdelete";
		AdminDoMassArticleTagsDelete();
	}
	
	$group = "articles";
}

if( ( $aform == "doupdatearticlecategories" ) and( isset( $permissions[ 'articles' ] ) ) )
{
	if( $permissions[ 'articles' ] == 1 )
	{
		include( "adminarticlecategories.php" );
		include( "admindoupdatearticlecategories.php" );
		$action = "doupdatearticlecategories";
		AdminDoUpdateArticleCategories();
	}
	
	$group = "articles";
}
?>