<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 11                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Knowledgebase
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_ADMIN" ) )
{
	die( "Error" );
}
/**
 * Load functions for the Knowledgebase module
 * @author Philipp Louis Esselbach
 */
if( ( $action == "addnewknowledgebaseentry" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "adminnewknowledgebaseentry.php" );
	AdminAddNewKnowledgebaseEntry( 0 );
	$group = "knowledgebase";
}

if( ( $aform == "doaddnewknowledgebaseentry" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "admindoaddnewknowledgebaseentry.php" );
	include( "adminnewknowledgebaseentry.php" );
	$action = "doaddnewknowledgebaseentry";
	AdminDoAddNewKnowledgebaseEntry();
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebaseentry" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "admindoeditknowledgebaseentry.php" );
	include( "admineditknowledgebaseentry.php" );
	$action = "doeditknowledgebaseentry";
	AdminDoEditKnowledgebaseEntry();
	$group = "knowledgebase";
}

if( ( $aform == "knowledgebaseoptions" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "adminknowledgebaseoptions.php" );
	$action = "knowledgebaseoptions";
	AdminKnowledgebaseOptions();
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebaseentriesdelete" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "admindomassknowledgebaseentriesdelete.php" );
	$action = "domassknowledgebaseentriesdelete";
	AdminDoMassKnowledgebaseEntriesDelete();
	$group = "knowledgebase";
}

if( ( $action == "knowledgebaseattachments" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebaseattachments.php" );
		AdminKnowledgebaseAttachments( $opts );
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebaseattachment" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindoeditknowledgebaseattachment.php" );
		$action = "doeditknowledgebaseattachment";
		AdminDoEditKnowledgebaseAttachment();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "knowledgebaseattachmentsoptions" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebaseattachmentsoptions.php" );
		$action = "knowledgebaseattachmentsoptions";
		AdminKnowledgebaseAttachmentsOptions();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebaseattachmentsdelete" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindomassknowledgebaseattachmentsdelete.php" );
		$action = "domassknowledgebaseattachmentsdelete";
		AdminDoMassKnowledgebaseAttachmentsDelete();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "knowledgebaseattachmentpreview" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "adminknowledgebaseattachmentpreview.php" );
	AdminKnowledgebaseAttachmentPreview();
	$group = "knowledgebase";
}

if( ( $action == "knowledgebaseattachmentsearch" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebaseattachmentsearch.php" );
		AdminKnowledgebaseAttachmentSearch();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "searchreplaceknowledgebase" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminsearchreplaceknowledgebase.php" );
		AdminSearchReplaceKnowledgebase();
	}
	
	$group = "knowledgebase";
}


if( ( $aform == "dosearchreplaceknowledgebase" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindosearchreplaceknowledgebase.php" );
		$action = "dosearchreplaceknowledgebase";
		AdminDoSearchReplaceKnowledgebase();
	}
	
	$group = "knowledgebase";
}


if( ( $action == "manageknowledgebase" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	include( "adminmanageknowledgebase.php" );
	AdminManageKnowledgebase( $opts );
	$group = "knowledgebase";
}

if( ( $action == "manageknowledgebasecomments" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminmanageknowledgebasecomments.php" );
		AdminManageKnowledgebaseComments( $opts );
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebasecomment" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindoeditknowledgebasecomment.php" );
		include( "admineditknowledgebasecomment.php" );
		$action = "doeditknowledgebasecomment";
		AdminDoEditKnowledgebaseComment();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "knowledgebasecommentsoptions" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasecommentsoptions.php" );
		$action = "articleknowledgebaseoptions";
		AdminKnowledgebaseCommentsOptions();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebasecommentsdelete" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindomassknowledgebasecommentsdelete.php" );
		$action = "domassknowledgebasecommentsdelete";
		AdminDoMassKnowledgebaseCommentsDelete();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebasecommentsplonk" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindomassknowledgebasecommentsplonk.php" );
		$action = "domassknowledgebasecommentsplonk";
		AdminDoMassKnowledgebaseCommentsPlonk();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebasecommentsunplonk" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindomassknowledgebasecommentsunplonk.php" );
		$action = "domassknowledgebasecommentsunplonk";
		AdminDoMassKnowledgebaseCommentsUnPlonk();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "knowledgebasecategories" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasecategories.php" );
		AdminKnowledgebaseCategories( $opts );
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doaddknowledgebasecategory" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasecategories.php" );
		include( "admindoaddknowledgebasecategory.php" );
		$action = "doaddknowledgebasecategory";
		AdminDoAddKnowledgebaseCategory();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebasecategory" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasecategories.php" );
		include( "admindoeditknowledgebasecategory.php" );
		$action = "doeditknowledgebasecategory";
		AdminDoEditKnowledgebaseCategory();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "manageknowledgebasefields" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminmanageknowledgebasefields.php" );
		AdminManageKnowledgebaseFields();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebasefields" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindoeditknowledgebasefields.php" );
		AdminDoEditKnowledgebaseFields();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "manageknowledgebasetags" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminmanageknowledgebasetags.php" );
		AdminManageKnowledgebaseTags( $opts );
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebasetag" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindoeditknowledgebasetag.php" );
		include( "admineditknowledgebasetag.php" );
		$action = "doeditknowledgebasetag";
		AdminDoEditKnowledgebaseTag();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "knowledgebasetagsoptions" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasetagsoptions.php" );
		$action = "knowledgebasetagsoptions";
		AdminKnowledgebaseTagsOptions();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebasetagsdelete" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindomassknowledgebasetagsdelete.php" );
		$action = "domassknowledgebasetagsdelete";
		AdminDoMassKnowledgebaseTagsDelete();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "knowledgebasesearchqueries" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasesearchqueries.php" );
		AdminKnowledgebaseSearchQueries( $opts );
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "knowledgebasesearchqueriesoptions" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasesearchqueriesoptions.php" );
		$action = "knowledgebasesearchqueriesoptions";
		AdminKnowledgebaseSearchQueriesOptions();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "domassknowledgebasesearchqueriesdelete" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindomassknowledgebasesearchqueriesdelete.php" );
		$action = "domassknowledgebasesearchqueriesdelete";
		AdminDoMassKnowledgebaseSearchQueriesDelete();
	}
	
	$group = "knowledgebase";
}

if( ( $action == "editknowledgebasepreferences" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admineditknowledgebasepreferences.php" );
		AdminEditKnowledgebasePreferences();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doeditknowledgebasepreferences" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "admindoeditknowledgebasepreferences.php" );
		AdminDoEditKnowledgebasePreferences();
	}
	
	$group = "knowledgebase";
}

if( ( $aform == "doupdateknowledgebasecategories" ) and( isset( $permissions[ 'knowledgebase' ] ) ) )
{
	if( $permissions[ 'knowledgebase' ] == 1 )
	{
		include( "adminknowledgebasecategories.php" );
		include( "admindoupdateknowledgebasecategories.php" );
		$action = "doupdateknowledgebasecategories";
		AdminDoUpdateKnowledgebaseCategories();
	}
	
	$group = "knowledgebase";
}
?>